%undefine __libtoolize
%define objprelink 0
%define qtdir /usr/lib/qt3
%define cvsdate 20020401
%define buildstatic 1
%define unstable 0
%define alsa_devel %(rpm -qf --queryformat '%{NAME}' /usr/lib/libasound.so)

Name: arts
Version: 1.1.0
Release: alt10
Serial: 1

Source: ftp://ftp.kde.org/pub/kde/stable/%version/distribution/tar/generic/source/arts-%version.tar.bz2

# MDK
Patch1: arts-1.1-fix-kdesu-bug.patch
# MDK->ALT
Patch2: arts-fix-test-glib.patch
# RH
Patch50: arts-1.1.0-vacopy.patch
# ALT
Patch100: arts-1.0.1-mcop_home.patch
Patch101: arts-1.0.2-tmpdir.patch

Group: System/Servers
Summary: aRts (analog realtime synthesizer) - the KDE sound system
License: ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0

# We don't want to require X11, Qt or glib2, arts is perfectly usable without
# them, they're just used by addons the qtmcop, gmcop and x11globalcomm addons
#AutoReq: off
Requires: lib%name >= %serial:%version-%release
Obsoletes: arts3
Provides: arts3
Conflicts: lib%name-devel-static < %serial:%version-%release

# Automatically added by buildreq on Wed Feb 05 2003
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel libGLU libXft libalsa2-devel libaudiofile-devel libexpat libfam-devel libjpeg-devel liblcms libmad-devel libmng libogg-devel libpng-devel libqt3-devel libstdc++-devel libvorbis-devel pkgconfig zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: glib2-devel libGLU libXft libalsa2-devel libaudiofile-devel
BuildRequires: libexpat libjpeg-devel liblcms libmad-devel libmng
BuildRequires: libogg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libvorbis-devel pkgconfig zlib-devel

#%if %objprelink
#BuildRequires: objprelink
#%endif
#%if %buildstatic
#BuildRequires: bash
#%endif

%description
aRts is a short form for "analog realtime synthesizer". The idea of the whole
thing is to create/process sound using small modules which do certain tasks.
These may be create a waveform (oscillators), play samples, filter data, add
signals, perform effects like delay/flanger/chorus, or output the data to the
soundcard.

%package -n lib%name
Group: Graphical desktop/KDE
Summary: The libraries for arts
Obsoletes: libarts3
Provides: libarts3

%description -n lib%name
Libraries needed for arts.

%package -n lib%name-devel
Group: Development/C++
Summary: Development files for arts
Requires: lib%name = %version-%release %alsa_devel
Obsoletes: libarts3-devel
Provides: libarts3-devel

%description -n lib%name-devel
Development files for arts.

%package -n lib%name-devel-static
Group: Development/KDE and QT
Summary: Static libraries for arts
Requires: lib%name-devel = %version-%release
Obsoletes: libarts3-devel-static
Provides: libarts3-devel-static
Conflicts: kdelibs-sound-devel-static < %serial:%version-%release

%description -n lib%name-devel-static
Static libraries for arts.

%package -n kdelibs-sound
Group: Graphical desktop/KDE
Summary: Kde specific art sound stuff
Requires: lib%name = %version-%release
Requires: %{get_dep libqt3}
Requires: libqt3-gcc_compiled = %__gcc_version_base
Obsoletes: kdelibs3-sound
Provides: kdelibs3-sound

%description -n kdelibs-sound
Libraries for sound support in the K Desktop environment

%package -n kdelibs-sound-devel
Group: Development/KDE and QT
Summary: Development files for kdelibs-sound
Requires: kdelibs-sound = %version-%release, lib%name-devel = %version-%release, libqt3-devel
Obsoletes: kdelibs3-sound-devel
Provides: kdelibs3-sound-devel

%description -n kdelibs-sound-devel
Development files for kdelibs-sound

%package -n kdelibs-sound-devel-static
Group: Development/KDE and QT
Summary: Static libraries for kdelibs-sound
Requires: kdelibs-sound-devel = %version-%release, lib%name-devel-static = %version-%release
#Requires: libqt3-devel-static
Obsoletes: kdelibs3-sound-devel-static
Provides: kdelibs3-sound-devel-static

%description -n kdelibs-sound-devel-static
Static libraries for kdelibs-sound

%prep
%setup -q -n %name-%version
#%patch1 -p1
#%patch2 -p1
#
%patch50 -p1
#
%patch100 -p1
%patch101 -p1

# Workaround for legacy auto* tools
#[ -x /usr/bin/autoconf_2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
#[ -x /usr/bin/autoheader_2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
#[ -x /usr/bin/aclocal-1.6 ] && ln -s /usr/bin/aclocal-1.5 aclocal
#[ -x /usr/bin/automake-1.6 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

make -f Makefile.cvs || :

%build
rm -rf %buildroot
export PATH=`pwd`:$PATH
export QTDIR=%qtdir
export FLAGS="$RPM_OPT_FLAGS -I/usr/include/Xft2"
export LDFLAGS="-L%buildroot/%_libdir"
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export DO_NOT_COMPILE=gmcop

%configure \
                    --enable-final \
%if %unstable
        	    --enable-debug=full \
%endif
                    --enable-shared \
%if %buildstatic
                    --enable-static \
%else
                    --disable-static \
%endif
                    --enable-fast-install=yes \
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --enable-mitshm \
                    --enable-arts-gsl \
                    --enable-cups \
                    --disable-libfam \
                    --enable-pcre \
                    --with-gnu-ld \
                    --with-pic \
                    --with-xinerama \
                    --with-distribution="%distribution %_target_cpu" \
                    --with-alsa \
                    --with-ipv6-lookup=auto \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib \
		    --program-transform-name=""


%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
export PATH=`pwd`:$PATH
%make_build DESTDIR=$RPM_BUILD_ROOT install
#find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

chmod a+x $RPM_BUILD_ROOT%_libdir/*

%post -n libarts
/sbin/ldconfig

%postun -n libarts
/sbin/ldconfig


%files
%_bindir/artscat
%_bindir/artsd*
%_bindir/artsp*
%_bindir/artss*
%_bindir/artsw*
%_bindir/artsr*
%_bindir/testdhandle

%files -n libarts
%_libdir/libartsc.la
%_libdir/libartscbackend.la
%_libdir/libartsdsp.la
%_libdir/libartsdsp_st.la
%_libdir/libartsflow.la
%_libdir/libartsflow_idl.la
%_libdir/libartsgslplayobject.la
%_libdir/libartswavplayobject.la
%_libdir/libkmedia2.la
%_libdir/libkmedia2_idl.la
%_libdir/libsoundserver_idl.la
%_libdir/libmcop.la
%_libdir/libmcop_mt.la
#
%_libdir/libartsc.so.*
%_libdir/libartscbackend.so.*
%_libdir/libartsdsp.so.*
%_libdir/libartsdsp_st.so.*
%_libdir/libartsflow.so.*
%_libdir/libartsflow_idl.so.*
%_libdir/libartswavplayobject.so.*
%_libdir/libartsgslplayobject.so.*
%_libdir/libkmedia2.so.*
%_libdir/libkmedia2_idl.so.*
%_libdir/libsoundserver_idl.so.*
%_libdir/libmcop.so.*
%_libdir/libmcop_mt.so.*
#
%dir %_libdir/mcop/
%_libdir/mcop/*.mcopclass
%_libdir/mcop/*.mcoptype
#
%dir %_libdir/mcop/Arts
%_libdir/mcop/Arts/*.mcopclass

%files -n libarts-devel
%_bindir/artsc-config
%_bindir/mcopidl
%_libdir/libartsc.so
%_libdir/libartscbackend.so
%_libdir/libartsdsp.so
%_libdir/libartsdsp_st.so
%_libdir/libartsflow.so
%_libdir/libartsflow_idl.so
%_libdir/libartswavplayobject.so
%_libdir/libartsgslplayobject.so
%_libdir/libkmedia2.so
%_libdir/libkmedia2_idl.so
%_libdir/libsoundserver_idl.so
%_libdir/libmcop.so
%_libdir/libmcop_mt.so
#
%dir %_includedir/arts/
%_includedir/arts/gsl
%_includedir/arts/*.h
%_includedir/arts/*.idl
#
%dir %_includedir/artsc/
%_includedir/artsc/*.h

%files -n kdelibs-sound
%_libdir/libqtmcop.la
%_libdir/libqtmcop.so.*
%_libdir/libx11globalcomm.la
%_libdir/libx11globalcomm.so.*

%files -n kdelibs-sound-devel
%_libdir/libqtmcop.so
%_libdir/libx11globalcomm.so

%if %buildstatic
%files -n libarts-devel-static
%_libdir/libartsc.a
%_libdir/libartscbackend.a
%_libdir/libartsdsp.a
%_libdir/libartsdsp_st.a
%_libdir/libartsflow.a
%_libdir/libartsflow_idl.a
%_libdir/libartswavplayobject.a
%_libdir/libartsgslplayobject.a
%_libdir/libkmedia2.a
%_libdir/libkmedia2_idl.a
%_libdir/libsoundserver_idl.a
%_libdir/libmcop.a
%_libdir/libmcop_mt.a
%files -n kdelibs-sound-devel-static
%_libdir/libqtmcop.a
%_libdir/libx11globalcomm.a
%endif

%changelog
* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt10
- fix requires

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt9
- build static libraries

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt8
- fix requires
- add patch from RH

* Fri Jan 17 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt6
- fix patch2

* Sat Jan 04 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt5
- update from cvs

* Mon Dec 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt4
- add MDK patches
- disable objprelink

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt3
- rebuild

* Wed Dec 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt2
- rebuild

* Wed Nov 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt1
- update from cvs

* Thu Nov 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.7
- update from cvs

* Fri Nov 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.6
- update from cvs ARTS_1_1_0_RELEASE

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.5.rc2
- rc2

* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.4.rc1
- rc1

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.3
- add gsl files

* Wed Oct 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.1.0-alt0.2
- update code from cvs HEAD

* Thu Oct 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt8
- fix requires && provides

* Fri Sep 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt7
- fix requires

* Fri Sep 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt6
- update from cvs
- fix requires

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt5
- rebuild with new XFree86

* Mon Sep 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt4
- rebuild with objprelink

* Thu Sep 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt3
- rebuild with gcc 3.2

* Fri Aug 16 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt1
- fix %%version && rebuild

* Mon Aug 05 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.2-alt3
- update from cvs

* Mon Jul 08 2002 ZerG <zerg@altlinux.ru> 1:1.0.2-alt2
- add patch for writing temp files to $TMPDIR

* Wed Jul 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.2-alt1
- new version

* Fri Jun 07 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.1-alt2
- update from cvs
- add patch changeing ~/.mcop to ~/.mcop1

* Sun May 26 2002 ZerG <zerg@altlinux.ru> 1:1.0.1-alt1
- new version

* Tue May 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt5
- fix Requires

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt4
- update from cvs
- add obsoletes -devel-static
- fix buildrequires

* Wed May 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.0-alt3
- update from cvs

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt2
- move to /usr

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt2
- 

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt1
- new version

* Mon Apr 01 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0.0-alt0.2.cvs20020401
- update from cvs

* Thu Mar 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.9-alt0.1.rc3
- build for ALT

* Wed Mar 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020313.1
- Build with autoconf 2.53, automake 1.5

* Thu Feb 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020114.1
- initial package
